Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Local_RefCounted_Object Class Reference

This class adds default reference counting to local objects. More...

`#include <LocalObject.h>`

Inheritance diagram for TAO_Local_RefCounted_Object:

[legend]
Collaboration diagram for TAO_Local_RefCounted_Object:

[legend]
List of all members.

## Public Methods
virtual void | _add_ref (void)
| Increment reference count. More...
virtual void | _remove_ref (void)
| Decrement reference count. More...
## Protected Methods
| TAO_Local_RefCounted_Object (void)
| Make it protected to prevent instantiation of this class. More...
## Protected Attributes
TAO_SYNCH_MUTEX | refcount_lock_
| Mutex to protect reference count. More...
CORBA::ULong | refcount_
| Number of outstanding references to this object. More...
## Private Methods
Unimplemented methods
| TAO_Local_RefCounted_Object (const TAO_Local_RefCounted_Object &)
TAO_Local_RefCounted_Object & | operator= (const TAO_Local_RefCounted_Object &)

## Detailed Description

This class adds default reference counting to local objects.

## Constructor & Destructor Documentation

ACE_INLINE TAO_Local_RefCounted_Object::TAO_Local_RefCounted_Object | ( | void |  | ) | `[protected]`

| Make it protected to prevent instantiation of this class.

TAO_Local_RefCounted_Object::TAO_Local_RefCounted_Object | ( | const TAO_Local_RefCounted_Object & |  | ) | `[private]`

## Member Function Documentation

void TAO_Local_RefCounted_Object::_add_ref | ( | void |  | ) | `[virtual]`

| Increment reference count. Reimplemented from CORBA_LocalObject.

void TAO_Local_RefCounted_Object::_remove_ref | ( | void |  | ) | `[virtual]`

| Decrement reference count. Reimplemented from CORBA_LocalObject.

TAO_Local_RefCounted_Object& TAO_Local_RefCounted_Object::operator= | ( | const TAO_Local_RefCounted_Object & |  | ) | `[private]`

## Member Data Documentation

CORBA::ULong TAO_Local_RefCounted_Object::refcount_`[protected]`

| Number of outstanding references to this object. Reimplemented from CORBA_Object.

TAO_SYNCH_MUTEX TAO_Local_RefCounted_Object::refcount_lock_`[protected]`

| Mutex to protect reference count. Reimplemented from CORBA_Object.

The documentation for this class was generated from the following files:

- LocalObject.h
- LocalObject.cpp
- LocalObject.i